Bug 441896 - CA console freezes after deleting user certificate.
CA console freezes after deleting user certificate.
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Console (Show other bugs)
unspecified
All Linux
medium Severity medium
: 1.0
: ---
Assigned To: Andrew Wnuk
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-04-10 13:44 EDT by Andrew Wnuk
Modified: 2015-01-04 18:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix to CA console freeze after deleting user certificate (1.25 KB, text/plain)
2008-04-17 16:15 EDT, Andrew Wnuk
no flags Details
spec file diff (1.12 KB, text/plain)
2008-04-17 17:11 EDT, Andrew Wnuk
no flags Details
spec file diff (1.12 KB, text/plain)
2008-04-17 17:46 EDT, Andrew Wnuk
no flags Details

  None (edit)
Description Andrew Wnuk 2008-04-10 13:44:33 EDT
Description of problem:
CA console freezes after deleting user certificate.

Version-Release number of selected component (if applicable): 1.0


How reproducible:
Always

Steps to Reproduce:
1. start console
2. click on 'Users and Groups'
3. select user
4. click 'Certificates'
5. select certificate in 'Manage User Certificates' window
6. click 'Delete'
CA console deletes certificate and freezes.
  
Actual results:
CA console deletes certificate and freezes.

Expected results:
CA console deletes certificate and stays ready for next operation.

Additional info:
Comment 1 Andrew Wnuk 2008-04-17 16:15:07 EDT
Created attachment 302800 [details]
Proposed fix to CA console freeze after deleting user certificate
Comment 2 Andrew Wnuk 2008-04-17 17:11:33 EDT
Created attachment 302812 [details]
spec file diff
Comment 3 Matthew Harmsen 2008-04-17 17:26:37 EDT
attachment (id=302800) +mharmsen

attachment (id=302812) +mharmsen
Change:
+* Wed Apr 17 2008 Andrew Wnuk <awnuk@redhat.com> 1.0.0-2
to:
+* Thu Apr 17 2008 Andrew Wnuk <awnuk@redhat.com> 1.0.0-3
Comment 4 Andrew Wnuk 2008-04-17 17:46:15 EDT
Created attachment 302821 [details]
spec file diff
Comment 5 Andrew Wnuk 2008-04-17 17:56:22 EDT
svn commit pki-console.spec
Sending        pki-console.spec
Transmitting file data .
Committed revision 24.

svn commit CertManagementDialog.java                
Sending        CertManagementDialog.java
Transmitting file data .
Committed revision 25.
Comment 6 Chandrasekar Kannan 2008-08-26 20:28:24 EDT
Bug already MODIFIED. setting target CS8.0 and marking screened+
Comment 7 Jenny Galipeau 2009-06-05 15:26:38 EDT
Verified: 

console does not freeze and certificate is deleted successfully.  User can subsequently no longer administer via the web UI.

Note You need to log in before you can comment on or make changes to this bug.